Rijndael Class Reference

Rijndael block cipher. More...

Inheritance diagram for Rijndael:

## Public Types

typedef BlockCipherFinal< ENCRYPTION, Enc > | Encryption
typedef BlockCipherFinal< DECRYPTION, Dec > | Decryption
Public Types inherited from BlockCipherDocumentation
typedef BlockCipher | Encryption
| implements the BlockCipher interface
typedef BlockCipher | Decryption
| implements the BlockCipher interface

## Additional Inherited Members

Static Public Member Functions inherited from Rijndael_Info
static CRYPTOPP_DLL const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from VariableKeyLength< 16, 16, 32, 8 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| Provides a valid key length for the algorithm provided by a static function. More...
Static Public Attributes inherited from FixedBlockSize< 16 >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from VariableKeyLength< 16, 16, 32, 8 >
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | KEYLENGTH_MULTIPLE
| The key length multiple used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default initialization vector length for the algorithm provided as a constant. More...

## Detailed Description

Rijndael block cipher.

All key sizes are supported. The library only provides Rijndael with 128-bit blocks, and not 192-bit or 256-bit blocks

Since
  Rijndael since Crypto++ 3.1, Intel AES-NI since Crypto++ 5.6.1, ARMv8 AES since Crypto++ 6.0, Power8 AES since Crypto++ 6.0, ARMv7 AES since Crypto++ 8.0

See also
  Rijndael

Definition at line 45 of file rijndael.h.

The documentation for this class was generated from the following file:

- rijndael.h